

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Managers &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script type="text/javascript" src="../_static/jquery.js"></script>
        <script type="text/javascript" src="../_static/underscore.js"></script>
        <script type="text/javascript" src="../_static/doctools.js"></script>
        <script type="text/javascript" src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="API" href="api.html" />
    <link rel="prev" title="Data" href="data.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributing</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../documentation.html">Backend documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="deeplearning.html">Deeplearning</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="data.html">Data</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="data.html#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">models.py</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="data.html#module-SmartRecruiting_BackEnd.data.models"><code class="docutils literal notranslate"><span class="pre">database.py</span></code></a></li>
<li class="toctree-l3 current"><a class="reference internal" href="data.html#managers">Managers</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">Managers</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="api.html">API</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../documentation.html">Backend documentation</a> &raquo;</li>
        
          <li><a href="data.html">Data</a> &raquo;</li>
        
      <li>Managers</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/backend_doc/managers.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="managers">
<h1>Managers<a class="headerlink" href="#managers" title="Permalink to this headline">¶</a></h1>
<div class="section" id="manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">manager.py</span></code><a class="headerlink" href="#manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.manager.DatabaseManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.manager.</code><code class="descname">DatabaseManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/manager.html#DatabaseManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.manager.DatabaseManager" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="section" id="offer-manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">offer_manager.py</span></code><a class="headerlink" href="#offer-manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.offer_manager.</code><code class="descname">OfferManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager" title="Permalink to this definition">¶</a></dt>
<dd><dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer">
<em class="property">static </em><code class="descname">add_offer</code><span class="sig-paren">(</span><em>title</em>, <em>content</em>, <em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.add_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Add offer in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>title</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – title of an offer</li>
<li><strong>content</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – content of an offer</li>
<li><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">Boolean if the offer was added in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">Boolean</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer_v2">
<em class="property">static </em><code class="descname">add_offer_v2</code><span class="sig-paren">(</span><em>title</em>, <em>content</em>, <em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.add_offer_v2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer_v2" title="Permalink to this definition">¶</a></dt>
<dd><p>Add offer in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>title</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – title of an offer</li>
<li><strong>content</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – content of an offer</li>
<li><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">id of the offer added in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)">int</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.delete_offer">
<em class="property">static </em><code class="descname">delete_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.delete_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.delete_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete an offer in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if the offer was deleted in database</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body">Boolean</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers">
<em class="property">static </em><code class="descname">get_all_offers</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.get_all_offers"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">All offer in the database</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.7)">list</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers_with_field_in_base">
<em class="property">static </em><code class="descname">get_all_offers_with_field_in_base</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.get_all_offers_with_field_in_base"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers_with_field_in_base" title="Permalink to this definition">¶</a></dt>
<dd><p>Select all verify Prediction, i. e. the mark is 100 and the associate field (id_field) is a reference for an
offer (id_offer)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">Dictionary where each element is a list, in this list the first element is content of an offer and the second is id of field</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body">Dictionary</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_offer_by_id">
<em class="property">static </em><code class="descname">get_offer_by_id</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.get_offer_by_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_offer_by_id" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Offer with id_offer</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body">Offer serialize</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.offers_by_user">
<em class="property">static </em><code class="descname">offers_by_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.offers_by_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.offers_by_user" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Offer with id_user associate</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body">Offer serialize</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.offer_manager.OfferManager.update_offer">
<em class="property">static </em><code class="descname">update_offer</code><span class="sig-paren">(</span><em>id_offer</em>, <em>title</em>, <em>content</em>, <em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/offer_manager.html#OfferManager.update_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.update_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Update an offer in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</li>
<li><strong>title</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – title of an offer</li>
<li><strong>content</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – content of an offer</li>
<li><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">Boolean if the offer was updated in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">Boolean</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="user-manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">user_manager.py</span></code><a class="headerlink" href="#user-manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.user_manager.</code><code class="descname">UserManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager" title="Permalink to this definition">¶</a></dt>
<dd><dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.add_user">
<em class="property">static </em><code class="descname">add_user</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>role</em>, <em>email</em>, <em>password</em>, <em>is_admin</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.add_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.add_user" title="Permalink to this definition">¶</a></dt>
<dd><p>Add user in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>surname</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>role</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>email</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>password</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>is_admin</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)"><em>bool</em></a>) – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">Boolean if the user was added in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.delete_user">
<em class="property">static </em><code class="descname">delete_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.delete_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.delete_user" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete user in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if the user was deleted in database</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.get_one_admin">
<em class="property">static </em><code class="descname">get_one_admin</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.get_one_admin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_one_admin" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">Return the first admin find in the database</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference internal" href="data.html#SmartRecruiting_BackEnd.data.models.User" title="SmartRecruiting_BackEnd.data.models.User">User</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_email">
<em class="property">static </em><code class="descname">get_user_by_email</code><span class="sig-paren">(</span><em>email</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.get_user_by_email"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_email" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>email</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">User obtain with email parameter</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference internal" href="data.html#SmartRecruiting_BackEnd.data.models.User" title="SmartRecruiting_BackEnd.data.models.User">User</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_id">
<em class="property">static </em><code class="descname">get_user_by_id</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.get_user_by_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_id" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a user</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">User obtain with id_user</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.7)">dict</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.user_manager.UserManager.update_user">
<em class="property">static </em><code class="descname">update_user</code><span class="sig-paren">(</span><em>id_user</em>, <em>name</em>, <em>surname</em>, <em>role</em>, <em>email</em>, <em>password</em>, <em>is_admin</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/user_manager.html#UserManager.update_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.user_manager.UserManager.update_user" title="Permalink to this definition">¶</a></dt>
<dd><p>Update user in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>id_user</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – </li>
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>surname</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>role</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>email</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>password</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – </li>
<li><strong>is_admin</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)"><em>bool</em></a>) – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">Boolean if the user was updated in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="prediction-manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">prediction_manager.py</span></code><a class="headerlink" href="#prediction-manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.prediction_manager.</code><code class="descname">PredictionManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/prediction_manager.html#PredictionManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager" title="Permalink to this definition">¶</a></dt>
<dd><dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.add_prediction">
<em class="property">static </em><code class="descname">add_prediction</code><span class="sig-paren">(</span><em>mark</em>, <em>id_field</em>, <em>id_offer</em>, <em>is_verify</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/prediction_manager.html#PredictionManager.add_prediction"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.add_prediction" title="Permalink to this definition">¶</a></dt>
<dd><p>Add a prediction in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>mark</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – mark of a prediction</li>
<li><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</li>
<li><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</li>
<li><strong>is_verify</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)"><em>bool</em></a>) – boolean if the formation is a reference for an offer</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">boolean if the prediction was added in database</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_field">
<em class="property">static </em><code class="descname">delete_prediction_by_id_field</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/prediction_manager.html#PredictionManager.delete_prediction_by_id_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete a prediction with an id_field</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if the prediction was deleted in database</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_offer">
<em class="property">static </em><code class="descname">delete_prediction_by_id_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/prediction_manager.html#PredictionManager.delete_prediction_by_id_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete a prediction with an id_offer</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if the prediction was deleted in database</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.7)">bool</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.fields_by_offer">
<em class="property">static </em><code class="descname">fields_by_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/prediction_manager.html#PredictionManager.fields_by_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.fields_by_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtain id_field and mark of all prediction having this id_offer</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_offer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of an offer</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Dictionary where each element is a list, in this list the first element is id_field and the second is a mark</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.7)">dict</a></td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="field-manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">field_manager.py</span></code><a class="headerlink" href="#field-manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.field_manager.</code><code class="descname">FieldManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager" title="Permalink to this definition">¶</a></dt>
<dd><dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field">
<em class="property">static </em><code class="descname">add_field</code><span class="sig-paren">(</span><em>name</em>, <em>description</em>, <em>website</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.add_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Add field in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a field</li>
<li><strong>description</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – description of a field</li>
<li><strong>website</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – website of a field</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last">field serialize</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field_v2">
<em class="property">static </em><code class="descname">add_field_v2</code><span class="sig-paren">(</span><em>name</em>, <em>description</em>, <em>website</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.add_field_v2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field_v2" title="Permalink to this definition">¶</a></dt>
<dd><p>Add field in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a field</li>
<li><strong>description</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – description of a field</li>
<li><strong>website</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – website of a field</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last">id_field added in database or -1</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.delete_field">
<em class="property">static </em><code class="descname">delete_field</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.delete_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.delete_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete field in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if field was deleted</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields">
<em class="property">static </em><code class="descname">get_all_fields</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_all_fields"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">dict</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields_name">
<em class="property">static </em><code class="descname">get_all_fields_name</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_all_fields_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields_name" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">list of dict {‘id’ : int ,’name’ : str}</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_id_field">
<em class="property">static </em><code class="descname">get_all_id_field</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_all_id_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_id_field" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">Dictionary where each element is a field</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_id">
<em class="property">static </em><code class="descname">get_field_by_id</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_field_by_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_id" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">dict</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_name">
<em class="property">static </em><code class="descname">get_field_by_name</code><span class="sig-paren">(</span><em>name</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_field_by_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_name" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Field obtain by name</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_contacts">
<em class="property">static </em><code class="descname">get_field_contacts</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_field_contacts"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_contacts" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtain all contact thanks to an id of a field</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">list of contacts serialize</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_offers">
<em class="property">static </em><code class="descname">get_field_offers</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.get_field_offers"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_offers" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtain all offers thanks to an id of a field</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">list of offers serialize</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body">list of dict</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.field_manager.FieldManager.update_field">
<em class="property">static </em><code class="descname">update_field</code><span class="sig-paren">(</span><em>id_field</em>, <em>name</em>, <em>description</em>, <em>website</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/field_manager.html#FieldManager.update_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.field_manager.FieldManager.update_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Update field in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – if of a field</li>
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a field</li>
<li><strong>description</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – description of a field</li>
<li><strong>website</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – website of a field</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last">Boolean if field was updated</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="contact-manager-py">
<h2><code class="docutils literal notranslate"><span class="pre">contact_manager.py</span></code><a class="headerlink" href="#contact-manager-py" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager">
<em class="property">class </em><code class="descclassname">SmartRecruiting_BackEnd.data.contact_manager.</code><code class="descname">ContactManager</code><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager" title="Permalink to this definition">¶</a></dt>
<dd><dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager.add_contact">
<em class="property">static </em><code class="descname">add_contact</code><span class="sig-paren">(</span><em>name</em>, <em>surname</em>, <em>email</em>, <em>phone</em>, <em>role</em>, <em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager.add_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.add_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Add contact in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a contact</li>
<li><strong>surname</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – surname of a contact</li>
<li><strong>email</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – email of a contact</li>
<li><strong>phone</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – phone of a contact</li>
<li><strong>role</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – role of a contact</li>
<li><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last">Contact serialize</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager.delete_contact">
<em class="property">static </em><code class="descname">delete_contact</code><span class="sig-paren">(</span><em>id_contact</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager.delete_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.delete_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete contact in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_contact</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a contact</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Boolean if contact was deleted</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_all_contacts">
<em class="property">static </em><code class="descname">get_all_contacts</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager.get_all_contacts"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_all_contacts" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtain all contacts</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">list contact serialize</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_contact_by_id">
<em class="property">static </em><code class="descname">get_contact_by_id</code><span class="sig-paren">(</span><em>id_contact</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager.get_contact_by_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_contact_by_id" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>id_contact</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a contact</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">Contact serialize</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="staticmethod">
<dt id="SmartRecruiting_BackEnd.data.contact_manager.ContactManager.update_contact">
<em class="property">static </em><code class="descname">update_contact</code><span class="sig-paren">(</span><em>id_contact</em>, <em>name</em>, <em>surname</em>, <em>email</em>, <em>phone</em>, <em>role</em>, <em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/data/contact_manager.html#ContactManager.update_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.update_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Update contact in database</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>id_contact</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a contact</li>
<li><strong>name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – name of a contact</li>
<li><strong>surname</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – surname of a contact</li>
<li><strong>email</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – email of a contact</li>
<li><strong>phone</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – phone of a contact</li>
<li><strong>role</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – role of a contact</li>
<li><strong>id_field</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a>) – id of a field</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first last">Boolean if contact was updated</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="api.html" class="btn btn-neutral float-right" title="API" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="data.html" class="btn btn-neutral float-left" title="Data" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>